Bug 178866 - WebDriver: deserializeTimeouts should fail if the value is not integer
Summary: WebDriver: deserializeTimeouts should fail if the value is not integer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebDriver (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-26 06:53 PDT by Carlos Garcia Campos
Modified: 2017-11-15 12:43 PST (History)
2 users (show)

See Also:


Attachments
Patch (1.80 KB, patch)
2017-10-26 06:56 PDT, Carlos Garcia Campos
bburg: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2017-10-26 06:53:15 PDT
See https://w3c.github.io/webdriver/webdriver-spec.html#dfn-deserialize-as-a-timeout

"If value is not an integer, or it is less than 0 or greater than 2^64 – 1, return error with error code invalid argument."
Comment 1 Carlos Garcia Campos 2017-10-26 06:56:53 PDT
Created attachment 325006 [details]
Patch
Comment 2 Brian Burg 2017-10-26 10:17:45 PDT
Comment on attachment 325006 [details]
Patch

r=me
Comment 3 Carlos Garcia Campos 2017-10-27 00:12:06 PDT
Committed r224089: <https://trac.webkit.org/changeset/224089>
Comment 4 Radar WebKit Bug Importer 2017-11-15 12:43:47 PST
<rdar://problem/35568032>